# Welcome to StandCoded

StandCoded is a code-hosting powered by [Forgejo](https://forgejo.org). This document states the setup of the site.

## Actions

For the usage please refer to [Forgejo Documentation for Actions](https://forgejo.org/docs/latest/user/actions/). If "Actions" page does not show up on your repository page, go to "Settings" for your repository, scroll down and check the "Enable Actions" option in the "Advanced Settings".

The default action url is already set to [code.forgejo.org](https://code.forgejo.org). That means the action on `code.forgejo.org` will be picked even if a same repository exists on our site. Like `uses: action@checkout@v1` will pick the one at `code.forgejo.org/actions/checkout`, even if `code.lightstands.xyz/actions/checkout` were also existing.

| Runner | Architechture | Setup | Labels | Driver |
| ------ | ------------- | ----- | ------------- | ------ |
| default-us-phx-0 | aarch64 | 2 core with 20GB memory | `docker://node:16-bulleye` | Podman (rootless) |

Global runners are set up with rootless podman for security reason. You can also add self-hosted runners for you account, orgranisation or repository.
